Bug 737236 - Strange rpath issue when building PyQwt on F-16 and F-17
Summary: Strange rpath issue when building PyQwt on F-16 and F-17
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sip
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 08:24 UTC by Tadej Janež
Modified: 2011-09-30 18:39 UTC (History)
5 users (show)

Fixed In Version: sip-4.12.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 18:39:53 UTC


Attachments (Terms of Use)

Description Tadej Janež 2011-09-10 08:24:42 UTC
Description of problem:

I just noticed a strange rpath issue with my PyQwt package.

Building the latest git version on F-16 and F-17 results in
"-rpath,/usr/lib64" being appended to the g++ compiler options.
Build logs of scratch builds are here:
https://koji.fedoraproject.org/koji/getfile?taskID=3332309&name=build.log
https://koji.fedoraproject.org/koji/getfile?taskID=3332685&name=build.log

However, building the latest git version on F-15 doesn't exhibit this
problem. See build log:
https://koji.fedoraproject.org/koji/getfile?taskID=3332430&name=build.log

What has changed between F-15 and F-16 so that "-rpath,/usr/lib64" gets
appended to g++ options?

What is the best way to fix this?

Version-Release number of selected component (if applicable):
PyQwt-5.2.0-14.fc17.x86_64
sip-devel-4.12.4-1.fc17.x86_64

How reproducible:
Always

Comment 1 Tadej Janež 2011-09-10 08:26:26 UTC
Some additional background:

I raised the question on the devel mailing list and Kevin Kofler suggested it may be sip regression:
http://lists.fedoraproject.org/pipermail/devel/2011-September/156679.html

Comment 2 Rex Dieter 2011-09-14 18:46:05 UTC
The easiest/quick-n-dirty method is to simply use
chrpath --delete
on the affected items in %install

(This is what I've done in PyQt4)

In the meantime, I'm looking into other options on the sip side of things...

Comment 3 Kevin Kofler 2011-09-14 20:04:43 UTC
I see you disabled the rpath stuff altogether by commenting it out now. An upstreamable version would probably check if the directory is one of the known system directories (/usr/lib and /usr/lib64, in particular), and add the rpath if and only if it's not known.

Comment 4 Rex Dieter 2011-09-14 20:32:02 UTC
I thought about that, but still not quite good enough.  It tries to rpath every -L<dir> , including (non-relative) ones in the build-tree. :(

Comment 5 Rex Dieter 2011-09-14 20:33:06 UTC
but... that's still a start on something upstreamable anyway, I'll likely do that when I have more time to look at it.

Comment 6 Tadej Janež 2011-09-17 20:59:32 UTC
Yesterday, I did scratch builds of the latest git version of PyQwt (the same version as used originally when filing this bug report), and the rpath issue
is no longer present in the latest rawhide rebuild:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3355479
However, it remains in the F-16 rebuild:
https://koji.fedoraproject.org/koji/taskinfo?taskID=3355481

What has changed between this and the last rawhide rebuild?
Can the same trick be used to fix the rebuild on F-16?

Comment 7 Rex Dieter 2011-09-17 21:32:11 UTC
The latest sip build in rawhide pretty much nukes all rpath'ing done, which may introduce other problems, so I wanted to test it a bit more before doing any < rawhide updates.

In the meantime, my short-term recommendation is still to use chrpath

Comment 8 Tadej Janež 2011-09-18 20:32:24 UTC
Ok, I rebuilt PyQwt on rawhide, which uses your modified sip.

For F-16, I added the chrpath work-around and pushed an update:
https://admin.fedoraproject.org/updates/PyQwt-5.2.0-14.fc16.1

Comment 9 Fedora Update System 2011-09-22 18:01:34 UTC
sip-4.12.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sip-4.12.4-2.fc16

Comment 10 Fedora Update System 2011-09-24 20:49:16 UTC
Package sip-4.12.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sip-4.12.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sip-4.12.4-2.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-09-30 18:39:47 UTC
sip-4.12.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.